### Method

# FwupdPlugin IOChannel write_stream

#### Declaration [src]

    gboolean
    fu_io_channel_write_stream (
      FuIOChannel* self,
      GInputStream* stream,
      guint timeout_ms,
      FuIOChannelFlags flags,
      GError** error
    )

#### Description [src]

Writes the stream to the fd, chucking when required.

Available since: | 2.0.0

#### Parameters

`stream` | `GInputStream`
| `GInputStream` to write.
| The data is owned by the caller of the function.
`timeout_ms` | `guint`
| Timeout in ms.
`flags` | `FuIOChannelFlags`
| Channel flags, e.g. `FU_IO_CHANNEL_FLAG_SINGLE_SHOT`.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if all the bytes was written.